<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://foxpost.hu
 * @since      1.0.0
 *
 * @package    Foxpost_Wc_Shipping
 * @subpackage Foxpost_Wc_Shipping/admin/partials
 */



if (!defined('ABSPATH')) {
    exit();
}                                                    

extract($value, EXTR_PREFIX_ALL, $value['id']);   //foxpost_wc_shipping_codfee_value
$foxpost_wc_shipping_testbutton_suffix = $foxpost_wc_shipping_testbutton_description =$foxpost_wc_shipping_testbutton_tooltip_html = $disabled_message = '';
?>
			<tr valign="top">
				<th scope="row" class="titledesc">
				<label><?php echo esc_html( $value['title'] ); ?> <?php echo $foxpost_wc_shipping_testbutton_tooltip_html . $disabled_message; ?></label>
			</th>
				<td class="forminp image_width_settings">
                    <button type="button" class="foxpost_wc_shipping_testbutton"><?php echo Foxpost_Wc_Shipping::__('Click to test the API credentials...');?></button>
                    <?php echo esc_html( $foxpost_wc_shipping_testbutton_suffix ); ?>
                    <p class="description"><?php echo $foxpost_wc_shipping_testbutton_description;?></p>
				</td>
			</tr>
<script type="text/javascript">
jQuery(function($) { 
                                                                  
    jQuery( 'button.foxpost_wc_shipping_testbutton' ).on( 'click', function() {
        var r = jQuery.post( '/wp-admin/admin-ajax.php', {
            action: 'foxpost_wc_shipping_get_parcel_addresses',
            username: $('#foxpost_wc_shipping_username').val(), 
            password: $('#foxpost_wc_shipping_password').val(),         
            apikey: $('#foxpost_wc_shipping_apikey').val(), 
        });
        r.done(function( data ) {     console.log( data.data );
            $( ".foxpost_wc_shipping_testbutton" ).text( data.data.msg );
        });
        
    });

});
</script>