<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://foxpost.hu
 * @since      1.0.0
 *
 * @package    Foxpost_Wc_Shipping
 * @subpackage Foxpost_Wc_Shipping/admin/partials
 */

if (!defined('ABSPATH')) {
    exit();                                                                                
}                                                    



$logfiles = scandir(trailingslashit( WC_LOG_DIR ), 0);   
foreach ($logfiles as $k=>$logfile){ 
    $lastlog = 'foxpost-wc-shipping-'.date('Y-m-d').'-';
    if (preg_match("/^$lastlog(.*)/i", $logfile)) {
        break;
    }    
}
//print_r( WC_Log_Handler_File::get_log_files() );

$button_tooltip_html = $disabled_message = $button_suffix = '';
?>                                                   
			<tr valign="top">
				<th scope="row" class="titledesc">
				<label><?php echo esc_html( $value['title'] ); ?> <?php echo $button_tooltip_html . $disabled_message; ?></label>
			</th>
				<td class="forminp image_width_settings">
                    <button type="button" class="<?php echo esc_attr( $value['id'] ); ?>-button"><?php echo esc_html( $value['label'] ); ?></button>
                    <?php echo esc_html( $button_suffix ); ?><p class="description"><?php echo $value['desc'] ;?></p>
				</td>
			</tr>
            
            
            
<script type="text/javascript">
jQuery(function($) {         
                                                                  
    jQuery( 'button.<?php echo esc_attr( $value['id'] ); ?>-button' ).on( 'click', function() {
        location.href = "<?php echo ( $value['value'] ); ?>&log_file=<?php echo $logfile; ?>";    
    });

});
</script>