<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://foxpost.hu
 * @since      1.0.0
 *
 * @package    Foxpost_Wc_Shipping
 * @subpackage Foxpost_Wc_Shipping/admin/partials
 */



if (!defined('ABSPATH')) {
    exit();
}                                                    

extract($value, EXTR_PREFIX_ALL, $value['id']);   //foxpost_wc_shipping_codfee_value
$disabled_message = $foxpost_wc_shipping_codfee_tooltip_html = '';
?>
						<tr valign="top">
							<th scope="row" class="titledesc">
							<label><?php echo esc_html( $value['title'] ); ?> <?php echo $foxpost_wc_shipping_codfee_tooltip_html . $disabled_message; ?></label>
						</th>
							<td class="forminp image_width_settings">

                               
<?php
			$limit  = '<input name="'.esc_attr( $foxpost_wc_shipping_codfee_id ).'[limit]" id="'.esc_attr( $foxpost_wc_shipping_codfee_id ).'-limit" value="'.esc_attr($foxpost_wc_shipping_codfee_value['limit']).'" placeholder="'.esc_attr($foxpost_wc_shipping_codfee_placeholder).'" type="text" size="6" maxlength="6"/>';
			$fee    = '<input name="'.esc_attr( $foxpost_wc_shipping_codfee_id ).'[fee]" id="'.esc_attr( $foxpost_wc_shipping_codfee_id ).'-fee" value="'.esc_attr($foxpost_wc_shipping_codfee_value['fee']).'" placeholder="'.esc_attr($foxpost_wc_shipping_codfee_placeholder).'" type="text" size="6" maxlength="6"/>';
			printf(
				'<span style="vertical-align: bottom;">'.Foxpost_Wc_Shipping::esc_html__( '%1$s alatt %2$s' ).'</span>',
				$limit.get_woocommerce_currency_symbol(),
				$fee.get_woocommerce_currency_symbol()
			);
?>                               
                                <?php echo esc_html( $foxpost_wc_shipping_codfee_suffix ); ?><p class="description"><?php echo $foxpost_wc_shipping_codfee_description;?></p>
								</td>
						</tr>
