<?php

/**
 * Configuration file for plugin
 * 
 * @link              https://foxpost.hu
 * @since             1.0.1
 * @package           Foxpost_Wc_Shipping
 *
 */        
return array(                
        //New version
        'FoxpostParcelStatusToWooOrderStatus' => array(
            'READY' => array('RECEIVE', 'HDRECEIVE', 'INWAREHOUSE', 'HDRETURN', 'COLLECTSENT'),     
            'CREATE', 'OPERIN', 'OPEROUT', 'SORTIN', 'HDSENT', 'C2BIN', 'C2CIN', 'COLLECTED',
        ),
        //old version
        'FoxpostParcelStatusEndStatuses' => array(     //OVERTIMEOUT
            'RECEIVE', 'HDRECEIVE', 'INWAREHOUSE', 'HDRETURN', 'COLLECTSENT'  
        ),   

        'FoxpostParcelCODFeeDefauts' => array(20000, 250),
        
        
        'CSV_cols' => array(
            'recipientName' => "Címzett neve", 
            'recipientPhone' => "Címzett telefonszáma", 
            'recipientEmail' => "Címzett email címe",
            'destination' => "Átvételi automata", 
            'recipientCity' => "Település",     
            'recipientZip' => "Irányítószám", 
            'recipientAddress' => "Utca, házszám",       
            'cod' => "Utánvételi összeg", 
            'size' => "Csomag méret",       
            'deliveryNote' => "Futár információk", 
            'comment' => "Saját adatok",       
            'label' => "Címkenyomtatás", 
            'fragile' => "Törékeny",       
            'uniqueBarcode' => "Egyedi vonalkód", 
            'refCode' => "Referencia kód"   
        ),


);
?>