<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://foxpost.hu
 * @since      1.0.0
 *
 * @package    Foxpost_Wc_Shipping
 * @subpackage Foxpost_Wc_Shipping/includes
 */
if (!defined('ABSPATH')) {
    die;
}
/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Foxpost_Wc_Shipping
 * @subpackage Foxpost_Wc_Shipping/includes
 * @author     Gabor Szabo <szabo.gabor@devwing.hu>
 */
class Foxpost_Wc_Shipping_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {    
        Foxpost_Wc_Shipping_Scheduler::deinit();
	}

}
